<div class="<?= MODULE_CONTENT_SC_RECENTLY_VIEWED_CONTENT_WIDTH ?> cm-i-featured-products mt-4">
  <h4><?= MODULE_CONTENT_SC_RECENTLY_VIEWED_TITLE . ((MODULE_CONTENT_SC_RECENTLY_VIEWED_SHOW_MORE_BUTTON == 'True')? '&nbsp;&nbsp;' . new Button(MODULE_CONTENT_SC_RECENTLY_VIEWED_BUTTON_SEE_MORE, 'fas fa-caret-right', 'btn-outline-secondary', [], $GLOBALS['Linker']->build('recently_viewed.php')) : '') ?></h4>

  <div class="<?= IS_PRODUCT_PRODUCTS_DISPLAY_ROW ?>">
    <?php
    while ($card_product = $recently_products_query->fetch_assoc()) {
      $product = new Product($card_product);
      if (MODULE_CONTENT_SC_RECENTLY_VIEWED_SHOW_DESCRIPTION == 'True' && !Text::is_empty($product->get('description')) ) {
        $card['extra'] = ['<p>' . strip_tags($product->get('description'))
                          . ((str_word_count(strip_tags($product->get('description'))) >= MODULE_CONTENT_SC_RECENTLY_VIEWED_DESCRIPTION_LENGTH)? '<a href="' . $product->get('link') . '">' . MODULE_CONTENT_SC_RECENTLY_VIEWED_SHOW_MORE . '</a>' : '')
                          . '</a></p>' . PHP_EOL];
      }
      ?>
      <div class="col mb-2">
        <div class="card h-100 is-product" <?= $product->get('data_attributes') ?>>
          <?php include $GLOBALS['Template']->map('product_card.php', 'component'); ?>
        </div>
      </div>
      <?php
    }
    ?>
  </div>
</div>

<?php
/*
  based on 2.0 2008-10-28 Kymation $

  Recently Viewed 5.3.0 Phoenix Cart
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
