<?php
/*
* $Id: recentlyViewed.php
* $Loc: /templates/override/includes/hooks/shop/siteWide/
*
* Name: RecentlyViewed
* Version: 5.3.9
* Release Date: 2024-10-22
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

class hook_shop_siteWide_recentlyViewed {
  public $version = '5.3.4';

  function listen_injectSiteEnd() {
    global $product_info;

    if ('logoff.php' === Request::get_page()) {
      unset($_SESSION['recently_viewed']);
    }

    if ('product_info.php' === Request::get_page() && isset($_GET['products_id']) ) { 

      $products_id = (int)$_GET['products_id'];

      if (isset($_SESSION['recently_viewed'])) {
        $recently_viewed_string = $_SESSION['recently_viewed'];
        $recently_viewed_array = explode (',', $recently_viewed_string);
        if (!in_array ($products_id, $recently_viewed_array) ) {
          $recently_viewed_string = $products_id . ',' . $recently_viewed_string;
        }
      } else {
        $recently_viewed_string = $products_id;
      }
      $_SESSION['recently_viewed'] = $recently_viewed_string;
    }

  }

}
